Profiles - check Traffic Manager Name Availability V 2
Checks the availability of a Traffic Manager Relative DNS name.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/checkTrafficManagerNameAvailabilityV2?api-version=2022-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the resource. |
| type |
string |
The type of the resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
Name |
|
Name |
NameAvailabilityV2Test_NameAvailablePOST21
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Network/checkTrafficManagerNameAvailabilityV2?api-version=2022-04-01
{
"name": "azsmnet5403",
"type": "microsoft.network/trafficmanagerprofiles"
}
Sample response
{
"name": "azsmnet5403",
"type": "Microsoft.Network/trafficManagerProfiles",
"nameAvailable": true
}
NameAvailabilityV2Test_NameNotAvailablePOST23
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Network/checkTrafficManagerNameAvailabilityV2?api-version=2022-04-01
{
"name": "azsmnet4696",
"type": "microsoft.network/trafficmanagerprofiles"
}
Sample response
{
"name": "azsmnet4696",
"type": "Microsoft.Network/trafficManagerProfiles",
"message": "Domain name azsmnet4696.tmpreview.watmtest.azure-test.net already exists. Please choose a different DNS prefix.",
"nameAvailable": false,
"reason": "AlreadyExists"
}
Definitions
| Name | Description |
|---|---|
|
Check |
Parameters supplied to check Traffic Manager name operation. |
|
Cloud |
An error returned by the Azure Resource Manager |
|
Cloud |
The content of an error returned by the Azure Resource Manager |
|
Traffic |
Class representing a Traffic Manager Name Availability response. |
CheckTrafficManagerRelativeDnsNameAvailabilityParameters
Parameters supplied to check Traffic Manager name operation.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the resource. |
| type |
string |
The type of the resource. |
CloudError
An error returned by the Azure Resource Manager
| Name | Type | Description |
|---|---|---|
| error |
The content of the error. |
CloudErrorBody
The content of an error returned by the Azure Resource Manager
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| details |
Error details |
|
| message |
string |
Error message |
| target |
string |
Error target |
TrafficManagerNameAvailability
Class representing a Traffic Manager Name Availability response.
| Name | Type | Description |
|---|---|---|
| message |
string |
Descriptive message that explains why the name is not available, when applicable. |
| name |
string |
The relative name. |
| nameAvailable |
boolean |
Describes whether the relative name is available or not. |
| reason |
string |
The reason why the name is not available, when applicable. |
| type |
string |
Traffic Manager profile resource type. |